package com.huiju.welcome.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaSnapshotPerson;
import com.huiju.welcome.service.ITaSnapshotPersonService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-03-14
 */
@RestController
@RequestMapping("/")
public class TaSnapshotPersonController {

    @Autowired
    private ITaSnapshotPersonService taSnapshotPersonService;


    @ApiOperation(value = "获取抓拍列表", notes = "获取抓拍列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "query", dataType = "int", name = "pageNum", value = "当前页"),
            @ApiImplicitParam(paramType = "query", dataType = "int", name = "pageSize", value = "每页数量"),
            @ApiImplicitParam(paramType = "query", dataType = "String", name = "deviceId", value = "设备ID"),
            @ApiImplicitParam(paramType = "query", dataType = "String", name = "startDate", value = "开始日期"),
            @ApiImplicitParam(paramType = "query", dataType = "String", name = "endDate", value = "结束日期")
    })
    @RequestMapping(value = "/snapshot", method = RequestMethod.GET)
    public ResponseBean list(@RequestParam Integer pageNum, @RequestParam  Integer pageSize, @RequestParam  String deviceId, String startDate, String endDate, HttpServletRequest request) {
        ResponseBean responseBean = new ResponseBean();

        if (null != startDate && "".equals(startDate)) startDate = null;
        if (null != endDate && "".equals(endDate)) endDate = null;

        Page<TaSnapshotPerson> page = new Page<>(pageNum, pageSize);
        responseBean.addSuccess(taSnapshotPersonService.getSnapshotList(page, deviceId, startDate, endDate));

        return responseBean;
    }
}
